Package com.sun.mail.imap.protocol

## Class BODY

- java.lang.Object
- - com.sun.mail.imap.protocol.BODY

All Implemented Interfaces:
  `Item`

    public class BODY
    extends java.lang.Object
    implements Item

The BODY fetch response item.

Author:
  John Mani, Bill Shannon

### Constructor Summary

Constructors
`BODY​(FetchResponse r)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteArray` `getByteArray()`
`java.io.ByteArrayInputStream` `getByteArrayInputStream()`
`int` `getOrigin()`
`java.lang.String` `getSection()`
`boolean` `isHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BODY

    public BODY​(FetchResponse r)
         throws ParsingException

Constructor

Parameters:
  `r` - the FetchResponse
Throws:
  `ParsingException` - for parsing failures

### Method Detail

#### getByteArray

    public ByteArray getByteArray()

#### getByteArrayInputStream

    public java.io.ByteArrayInputStream getByteArrayInputStream()

#### isHeader

    public boolean isHeader()

#### getSection

    public java.lang.String getSection()

#### getOrigin

    public int getOrigin()

Since:
  Jakarta Mail 1.6.4